High CPU usage on the server (dom0)

23/11/2018 12:09 - Philippe May

Status: In Progress Start date: 23/11/2018

Priority: Normal Due date:  

Assignee: Philippe May % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

System (bare metal, domUs are kinda OK) is slow, etc: top shows ~100% of kworker on the dom0.

History

#1 - 23/11/2018 12:22 - Philippe May

Installed perf and linux-perf-4.18.

Run perf top: acpi issue?

Seen in https://bbs.archlinux.org/viewtopic.php?id=223799, run:

grep . -r /sys/firmware/acpi/interrupts

 

/sys/firmware/acpi/interrupts/gpe6F has a very high number (of interrupts).

So:

echo "disable" >/sys/firmware/acpi/interrupts/gpe6F

 

Great, the damn ACPI doesn't flood the CPU with interrupts and load back to normal.

What is gpe6F? Bug in the BIOS firmware (it's a Dell PowerEdge T30/07T4MC, BIOS 1.0.12 12/06/2017)? No idea, but there's an update: 

https://www.dell.com/support/home/us/en/04/product-support/product/poweredge-t30/drivers (1.0.15).

So:

Try firmware update and check if the problem reappears

If yes, make the hack resilient over reboots

13/03/2024 1/2
#2 - 26/02/2019 12:02 - Philippe May

Seen again last Saturday, 23/2/2018, rebooted the dom0.

Something strange: the running kernel (4.18.0-0.bpo.1-amd64) is marked from unknown source in apt and not updated. Need to install 4.19 from

backports instead.

#3 - 26/02/2019 12:54 - Philippe May

Kernel upgraded to 4.19.0-0.bpo.2-amd64 (including for the domUs, which use direct kernel boot, ie. provided by the dom0)

#4 - 26/02/2019 13:10 - Philippe May

- Status changed from New to In Progress
